#ifndef SETTINGS_HPP
#define SETTINGS_HPP

#include <string>

using namespace std;

//-------------
class CSettings
{
  private:
    string lSceneFileName;  //  Jelenetfájl.
    int lWidth;             //  Ablak szélessége.
    int lHeight;            //  Ablak magassága.
    bool lFullscreen;       //  Teljesképernyős legyen-e.
    float lFreeze;          //  Kimerevített időpillanat.
    int lMaxRayDepth;       //  Maximális iterációs lépések száma.
    bool lShadow;           //  Árnyékok legyenek-e.
    float lReflThreshold;   //  Tükröződési küszöbérték.
    float lFarZ;            //  Távoli vágósík.

  public:
    CSettings(const string &, const string &aSceneFileName = "");

    const string &SceneFileName() const;
    int Width() const;
    int Height() const;
    bool Fullscreen() const;
    float Freeze() const;
    int MaxRayDepth() const;
    bool Shadow() const;
    float ReflThreshold() const;
    float FarZ() const;
};

#endif // SETTINGS_HPP
